cascading.operation

## Interface Assertion<PC>

- All Superinterfaces:
    DeclaresResults, Operation<PC>, PlannedOperation<PC>
  All Known Subinterfaces:
    GroupAssertion<C>, ValueAssertion<C>
  All Known Implementing Classes:
    AssertEquals, AssertEqualsAll, AssertGroupBase, AssertGroupSizeEquals, AssertGroupSizeLessThan, AssertGroupSizeMoreThan, AssertMatches, AssertMatchesAll, AssertNotEquals, AssertNotNull, AssertNull, AssertSizeEquals, AssertSizeLessThan, AssertSizeMoreThan

      public interface Assertion<PC>
      extends PlannedOperation<PC>

  Interface Assertion is the base interface for all stream assertions. Implementers must also extend `BaseOperation`.

- - ### Field Summary

    - ### Fields inherited from interface cascading.operation.Operation

      `ANY`

  - ### Method Summary

    - ### Methods inherited from interface cascading.operation.PlannedOperation

      `supportsPlannerLevel`

    - ### Methods inherited from interface cascading.operation.Operation

      `cleanup, flush, getFieldDeclaration, getNumArgs, isSafe, prepare`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.